Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227483 - taglib bug (can't play mono mp3 on ipods and amark shows wrong lenght)
Summary: taglib bug (can't play mono mp3 on ipods and amark shows wrong lenght)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: taglib
Version: 8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 11:51 UTC by Valent Turkovic
Modified: 2008-03-06 16:36 UTC (History)
2 users (show)

Fixed In Version: 1.5-1.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-06 16:36:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 130185 None None None Never

Description Valent Turkovic 2007-02-06 11:51:55 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Every time!

Steps to Reproduce:
1. Download or subscribe to lugradio podcast (mp3 version) 
2. Listen to it with amarok or transfer it to an ipod.
3.
  
Actual results:
Play lenght is shown as 1/2 of the real lenght. In amarok that is not problem
except that when it comes to 0minutes (if you put play timer to count downward)
it still plays when as it should stop when countdown comes to 0.
If you play it on ipod when it comes to 0 it stops!

Expected results:
Mono audio file encoded with lame and taglib should play ok with amarok and on
ipods.

Additional info:
The real bug is here:
http://bugs.kde.org/show_bug.cgi?id=130185

Sorry for posting it to totem bug, but I don't see lame, taglib or amarok so I
can't post bug for them. Please make available new versions of taglib and lame
available for fedora.

Comment 1 Bastien Nocera 2007-02-06 11:54:59 UTC
taglib and amarok are in the extras, and lame isn't shipped by Fedora.
There's also no mp3 decoding software in Fedora, so I'll push this to amarok.

Comment 2 Valent Turkovic 2007-12-29 19:40:03 UTC
should this be put back to taglib as there are no extras anymore?

is there any chance of fixing this issue anytime soon? I filed this bug ages ago...

Comment 3 Valent Turkovic 2007-12-29 20:02:36 UTC
ok, it seams fixed now :)
Fedora 8 has taglib 1.5 (they FINALY released it!!!) and this bug seams fixed now.
I tested it with one MP3 file that I had problems before and now it works ok...

This was a really slow and frustrating for me, but now it is finally fixed...

Comment 4 Valent Turkovic 2007-12-29 20:11:17 UTC
Nope it is not fixed :( I used a fixed rate MP3 and now then I tested it with
variable rate mono file I still see this bug :(

Comment 5 Valent Turkovic 2008-01-14 15:55:10 UTC
I got this feedback from Lukáš Lalinský and he said this:

TagLib 1.5 was not released, that's just Fedora's SVN shapshot version.
As far as I can see, the latest snapshot is from 2007-11-11, the bug
about MPEG2 streams was fixed on 2007-11-22.


So can you please update taglib to never SVN snapshot?

Comment 6 Fedora Update System 2008-02-26 00:25:21 UTC
taglib-1.5-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update taglib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1960

Comment 7 Fedora Update System 2008-03-06 16:36:00 UTC
taglib-1.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.